/* 
 * This file is part of the ESPDA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * $Id: espda_check.h 161769 2014-05-30 14:32:34Z gcupani $
 * $Author: gcupani $
 * $Date: 2014-05-30 16:32:34 +0200 (Fri, 30 May 2014) $
 * $Revision: 161769 $
 */

#ifndef ESPDA_CHECK_H
#define ESPDA_CHECK_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

#include "espda_dfs.h"
#include "espda_print.h"

/*-----------------------------------------------------------------------------
                                   Functions prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code espda_check_name(cpl_frameset     *,
                                cpl_recipeconfig *,
                                const char       *);

cpl_error_code espda_check_num (cpl_frameset     *,
                                cpl_recipeconfig *,
                                const char       *);

cpl_error_code espda_check_tag (cpl_frameset     *,
                                cpl_recipeconfig *,
                                const char       *);

#endif
