/*
 * This file is part of the ESPDA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * $Id: espda_interp.h 194083 2016-12-01 15:36:17Z gcupani $
 * $Author: gcupani $
 * $Date: 2016-12-01 15:36:17 +0000 (Thu, 01 Dec 2016) $
 * $Revision: 194083 $
 */

#ifndef ESPDA_INTERP_H
#define ESPDA_INTERP_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>
#include <gsl/gsl_integration.h>

#include "espda_dfs.h"
#include "espda_print.h"

/*-----------------------------------------------------------------------------
                                   Functions prototypes
 -----------------------------------------------------------------------------*/

double espda_interp_bilin(int,
                          int,
                          int,
                          int,
                          double,
                          double,
                          double,
                          double,
                          double,
                          double);

cpl_error_code espda_interp_inst (cpl_table       *,
                                  cpl_table       *,
                                  double,
                                  double,
                                  double,
                                  cpl_table      **);

double espda_interp_lin  (int,
                          int,
                          double,
                          double,
                          double);

#endif
