
#ifndef ESPDA_OPEN_FRAME_H
#define ESPDA_OPEN_FRAME_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>


/*-----------------------------------------------------------------------------
                                   Macros -----------------------------------------------------------------------------*/
#define max(a,b) (((a)>(b))?(a):(b))

/*-----------------------------------------------------------------------------
                                   Functions prototypes
 -----------------------------------------------------------------------------*/

void esp_compile_ratios(double lares[], 
						double ewares[],
						long na, 
						long nf, 
						double line1[], 
						double line2[], 
						double lratios[]);

cpl_error_code espda_calib_teff(cpl_table* lineratio_calib_table, 
							  cpl_table* line_ew_table, 
							  cpl_table** teff_table);

cpl_error_code espda_calib_feh(cpl_table* linefeh_calib_table, 
							 cpl_table* line_ew_table, 
							  cpl_table* teff_table, 
							  cpl_table** feh_table);

cpl_error_code espda_create_teff_table(cpl_table **tab,
                                       cpl_size    size);

cpl_error_code espda_create_feh_table(cpl_table **tab,
                                       cpl_size    size);







#endif
