/* $Id: espda_util_cont.h 2017-02-25 14:15:10 jonaydas $
 *
 * This file is part of the ESPDA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * $Author: jonaydas $
 * $Date: 2017-02-25 14:15:10 +0000 (sat, 24 feb 2017) $
 * $Revision: 198015 $
 * $Name:  $
 */

#ifndef ESPDA_UTIL_CONT_H
#define ESPDA_UTIL_CONT_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>
#include <gsl/gsl_multifit.h>
#include <string.h>

/*-----------------------------------------------------------------------------
                                   Functions prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code espda_cont_ord_fit(cpl_array  *wave_in,
 			                      cpl_array  *flux_in,
 			                      cpl_array  *mask_in,
		                          const int      ford,
		                          const int      nfin,
 			                      cpl_array *coef_out,
                                  cpl_array *cont_out,
                                  cpl_array *cont_err);

cpl_error_code espda_cont_ord_eval(cpl_array     *wax,
 			                       cpl_array     *cfx,
                                   cpl_array     *ctx);

cpl_error_code espda_cont_mask(cpl_array      *wax,
                               cpl_array      *flx,
                               cpl_array      *ctx,
							   cpl_array      *msx,
							   const double  hrejt,
		                       const double  lrejt);

cpl_error_code espda_cont_ford(cpl_array      *wax,
		                       cpl_array    *xford);

#endif
